{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
banner login
----------------------------  W A R N I N G  -----------------------------
-     Access to this system is restricted to authorized users only.      -
-     All data residing on this system is the property of:               -
-                                                                        -
-                        XXXXXXXXXXXXXXXXXXXX                            -
-                                                                        -
-     All activities on this system may be monitored.                    -
-     Unauthorized usage is prohibited and may attract penalties.        -
--------------------------------------------------------------------------
Device: $(hostname)
EOF
banner motd
----------------------------  DOCUMENTATION  -----------------------------
-     https://github.com/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX        -
--------------------------------------------------------------------------
EOF
!
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
banner motd ^C
 ----------------------------  DOCUMENTATION  -----------------------------
 -     https://github.com/XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX        -
 --------------------------------------------------------------------------
^C
banner login ^C
 ----------------------------  W A R N I N G  -----------------------------
 -     Access to this system is restricted to authorized users only.      -
 -     All data residing on this system is the property of:               -
 -                                                                        -
 -                        XXXXXXXXXXXXXXXXXXXX                            -
 -                                                                        -
 -     All activities on this system may be monitored.                    -
 -     Unauthorized usage is prohibited and may attract penalties.        -
 --------------------------------------------------------------------------
^C
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
